/*
 * @Author: spark
 * @Date: 2021-02-02 17:14:44
 * @LastEditTime: 2021-02-02 17:50:52
 * @LastEditors: spark
 * @Description: 趣看天下前端开发
 * @email: spark.xiaoyu@qq.com
 */
module.exports = {
	presets: [
		[
			"@babel/preset-env",
			{
                "useBuiltIns": false,
				targets: {
					browsers: ["iOS >= 7", "Android >= 4.1"]
				}
			}
			// {
			//     "useBuiltIns": "usage"
			// }
		]
	],
	plugins: [
		"@babel/plugin-transform-runtime",
		"@babel/plugin-transform-object-assign",
		[
			"@babel/plugin-proposal-decorators",
			{
				//装饰器
				legacy: true
			}
		],
		[
			"@babel/plugin-proposal-class-properties",
			{
				loose: true
			}
		]
	]
};
